package heritages;

/**
 * @author jub
 * La classe Vhicule reprsente les vhicules qui sont caractriss 
 * par le fait d'tre arrt ou non. 
 */
public class Vehicule implements Crashable {
	/**
	 * L'tat du vhicule
	 */
	private boolean demarre;

	/**
	 * Permet de construire un vhicule dans l'tat choisi
	 * @param demarre l'tat true pour dmarr et false sinon.
	 */
	public Vehicule(boolean demarre) {
		this.demarre = demarre;
	}

	@Override
	public void crash() {
		System.out.println("La voiture est morte");
		
	}

	/**
	 * Permet de savoir si un vhicule est dmmarr
	 * @return true si le vhicule est dmarr false sinon.
	 */
	public boolean isDemarre() {
		return demarre;
	}

	/**
	 * Permet de changer l'tat du vhicule
	 * @param demarre true pour le dmarrer et false pour l'arrter. 
	 */
	public void setDemarre(boolean demarre) {
		this.demarre = demarre;
	}
	
	
}
